# documentation

- [docs](./README.md)
- [API](./API.md)
- [CLI](./CLI.md)
- [REPL](./REPL.md)
- [logging](./logging.md)
- [arguments](./arguments.md)

## setup

1. Install `npm install --save-dev gulp-runtime`

2. Open a `gulpfile`, or [create one][example-gulpfile], and

  change this line

  ```js
  var gulp = require('gulp');
  ```

  with

  ```js
  var gulp = require('gulp-runtime').create();
  ```

  After that run the `gulpfile` with `node` directly from the command line

  ```sh
  node gulpfile.js default watch serve
  ```

  Thats it! When no arguments are given the `default` task will run instead.

3. What about the CLI? Can I just run `gulp-runtime` from the terminal?

  Yes. For this add an alias to your `.bashrc` or `.zshrc`

  ```sh
  alias gulp-runtime='node $(find . -name "gulpfile.js" -not -path "./node_modules/*" | head -n1)'
  ```

  which will use the first `gulpfile.js` found in the current working directory excluding `node_modules`.

  Right after this open a new terminal tab and write

  `gulp-runtime --tasks default watch serve`

<!-- links -->

[example-gulpfile]: https://github.com/gulpjs/gulp#sample-gulpfilejs
